On Thu, Oct 06, 2016 at 10:54:22AM +0200, Martin Jansa wrote:
> Either use 4.7.99+4.8-rc4 like most other recipes do or at least "4.8~rc4"
> which might sort lower than "4.8" (but needs to be verified for all
> packaging backends first).
> 
> Ignoring all this completely results with what we can see in oe-core
> now:
> 
> ERROR: linux-libc-headers-4.8-r0 do_packagedata: QA Issue: Package
> version for package linux-libc-headers-dbg went backwards which would
> break package feeds from (0:4.8-rc4-r0.0 to 0:4.8-r0.0)
> [version-going-backwards]

I've noticed one more thing related to linux-yocto. Is it expected that
only qemuarm is using 4.8 by default and (qemu)x86* is still using 4.4?

meta/conf/machine/include/x86-base.inc:PREFERRED_VERSION_linux-yocto ??= "4.4%"
meta/conf/machine/qemuarm.conf:PREFERRED_VERSION_linux-yocto ??= "4.8%"

I've checked poky repository and it is using 4.8 at least for qemu* and various
other MACHINEs, so it might make sense to use the same for nodistro for 
consistency?

OE @ ~/extras/poky $ git grep PREFERRED_VERSION.*linux-yocto
bitbake/doc/bitbake-user-manual/bitbake-user-manual-ref-variables.xml:     
PREFERRED_VERSION_linux-yocto = "3.10%"
documentation/bsp-guide/bsp.xml:     PREFERRED_VERSION_linux-yocto ?= "4.4%"
documentation/ref-manual/ref-variables.xml:     PREFERRED_VERSION_linux-yocto = 
"3.19%"
documentation/ref-manual/ref-variables.xml:     
PREFERRED_VERSION_linux-yocto_qemux86 = "3.4%"
documentation/ref-manual/ref-variables.xml:     
PREFERRED_VERSION_linux-yocto_forcevariable = "3.4%"
meta-poky/conf/distro/poky-lsb.conf:PREFERRED_VERSION_linux-yocto_linuxstdbase 
?= "4.1%"
meta-poky/conf/distro/poky-tiny.conf:PREFERRED_VERSION_linux-yocto-tiny ?= 
"4.4%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto ?= "4.8%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto_qemux86 ?= "4.8%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto_qemux86-64 ?= 
"4.8%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto_qemuarm ?= "4.8%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto_qemumips ?= "4.8%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto_qemumips64 ?= 
"4.8%"
meta-poky/conf/distro/poky.conf:PREFERRED_VERSION_linux-yocto_qemuppc ?= "4.8%"
meta-yocto-bsp/conf/machine/beaglebone.conf:PREFERRED_VERSION_linux-yocto ?= 
"4.8%"
meta-yocto-bsp/conf/machine/edgerouter.conf:PREFERRED_VERSION_linux-yocto ?= 
"4.8%"
meta-yocto-bsp/conf/machine/genericx86-64.conf:PREFERRED_VERSION_linux-yocto_genericx86-64
 ?= "4.8%"
meta-yocto-bsp/conf/machine/genericx86.conf:PREFERRED_VERSION_linux-yocto_genericx86
 ?= "4.8%"
meta-yocto-bsp/conf/machine/include/genericx86-common.inc:PREFERRED_VERSION_linux-yocto
 ?= "4.4%"
meta-yocto-bsp/conf/machine/mpc8315e-rdb.conf:PREFERRED_VERSION_linux-yocto ?= 
"4.8%"
meta/conf/machine/include/x86-base.inc:PREFERRED_VERSION_linux-yocto ??= "4.4%"
meta/conf/machine/qemuarm.conf:PREFERRED_VERSION_linux-yocto ??= "4.8%"
meta/conf/machine/qemuarm.conf:QB_DTB = 
"${@base_version_less_or_equal('PREFERRED_VERSION_linux-yocto', '4.7', '', 
'zImage-versatile-pb.dtb', d)}"

Regards,
-- 
Martin 'JaMa' Jansa     jabber: martin.ja...@gmail.com

Attachment: signature.asc
Description: Digital signature

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Reply via email to